//
// Copyright (C) 2000 Software Resources International SA
//
// This code is provided on an 'as is' basis.
// Software Resources International SA carries no responsibility for
// the application of this code in any way or form.
//

#ifndef __F11LIBERR_H__
#define __F11LIBERR_H__

//  Possible error codes
#define F11_NO_ERROR		0	// no error
#define F11_DRIVE_ERR		1	// drive error
#define F11_DEVICE_NOT_OPENED	2	// device is not opened
#define F11_DEVICE_OPENED	3	// device is already opened
#define F11_INVALID_HANDLE	4	// invalid handle
#define F11_FILE_OPENED		5	// file is already opened
#define F11_INVALID_ARG		6	// invalid argument
#define F11_HB_NOT_FOUND	7	// home block is not found or invalid
#define F11_INVALID_FIDX	8	// invalid file index
#define F11_INVALID_SEQ		9	// invalid sequence number
#define F11_INVALID_FH		10	// invalid file header
#define F11_INVALID_BACKLINK	11	// invalid file header back link
#define F11_VOLUME_SET		12	// volume sets is not supported
#define F11_EOF			13	// eof is reached
#define F11_FILE_NOT_FOUND	14	// no files are found
#define F11_NOT_DIRECTORY	15	// file is not a directory
#define F11_ALREADY_TOP		16	// curent dir is already on top
#define F11_IDX_FULL		17	// no free file index is available
#define F11_DEVICE_READ_ONLY	18	// device is read-only
#define F11_FILE_ALREADY_EXISTS	19	// file already exists	
#define F11_INVALID_TEXT_FILE	20	// invalid text_file
#define F11_ERROR_READING_FILE	21	// error resdin file

#endif
